#
# spec file for package libnss_usrfiles
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# We need some private NSS functions
%define __filter_GLIBC_PRIVATE 1
Name:           libnss_usrfiles
Version:        2.25
Release:        bp153.1.16
Summary:        NSS usrfiles plugin for glibc
License:        LGPL-2.1-only
Group:          System/Base
URL:            http://github.com/thkukuk/libnss_usrfiles
Source:         %{name}-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRequires:  autoconf
BuildRequires:  libtool

%description
The NSS usrfiles plugin additionally looks in %{_prefix}%{_sysconfdir} for passwd and
group data.

%package -n libnss_usrfiles2
Summary:        NSS usrfiles plugin for glibc
# we need cp
Group:          System/Libraries
Requires(post): coreutils
Requires(post): glibc
Requires(post): sed

%description -n libnss_usrfiles2
The NSS usrfiles plugin looks additional in %{_prefix}%{_sysconfdir} for passwd and
group data.

%prep
%setup -q

%build
%configure --libdir=/%{_lib}
make %{?_smp_mflags}

%install
%make_install
rm -v %{buildroot}/%{_lib}/%{name}.{a,la,so}
mkdir -p %{buildroot}%{_prefix}%{_sysconfdir}

%post -n libnss_usrfiles2
/sbin/ldconfig
cp -a %{_sysconfdir}/nsswitch.conf %{_sysconfdir}/nsswitch.conf.nss_usrfiles
sed -i -e 's|^passwd: compat$|passwd: files usrfiles|g' -e 's|^group:  compat$|group:  files usrfiles|g' %{_sysconfdir}/nsswitch.conf

%postun -n libnss_usrfiles2 -p /sbin/ldconfig

%files -n libnss_usrfiles2
%license COPYING
%doc README.md
/%{_lib}/libnss_usrfiles.so.2*
%dir %{_prefix}%{_sysconfdir}

%changelog
* Mon Mar 19 2018 kukuk@suse.de
- Use %%license instead of %%doc [bsc#1082318]
* Mon Jan  8 2018 kukuk@suse.de
- The default nsswitch.conf has changed again back to the old
  values [bsc#1074515]
* Thu Mar 30 2017 jengelh@inai.de
- RPM group correction
* Mon Mar 27 2017 kukuk@suse.de
- Add docu and /usr/etc as directory
- Adjust nsswitch.conf on openSUSE, too
* Wed Mar 22 2017 kukuk@suse.de
- Move Requires to correct sub-package
* Tue Mar 21 2017 kukuk@suse.de
- Filter out GLIBC_PRIVATE
* Mon Mar 20 2017 kukuk@suse.com
- Initial version
